<?xml version="1.0" encoding="windows-1250"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output indent="yes" method="html" encoding="windows-1250"/>


<!-- Vytvoreni zakladni kostry dokumentu -->
<xsl:template match="/">
 <html>
  <head>
   <title>Adres</title>
   <link type="text/css" rel="StyleSheet" title="Zakladni styly" href="adresar.css" />
  </head>
  <body>
  <xsl:for-each select="adresar/osoba">
  <!-- Seradime podle prijmeni -->
  <xsl:sort select="@prijmeni" />
  <xsl:sort select="@jmeno" />
  <a name="{@id}"></a>
  <!-- Kazdy zaznam ve vlastni tabulce. Zahlavi je cele jmeno -->
  <table width="90%" border="1" align="center" cellpadding="3" cellspacing="1">
   <caption>
    <xsl:value-of select="concat(@titul_pred,' ',@jmeno,' ',@prijmeni,' ',@titul_za)" />
   </caption>
  <xsl:apply-templates/>
  </table>
  </xsl:for-each>
  </body>
 </html>
</xsl:template>


<!-- Pro kazdy oddil samostatne zahlavi -->
<!-- Osobni udaje -->
<xsl:template match="osobni">
  <tr><th class="high">Osobn daje</th>
   <!-- Odkaz na obrazek -->
   <td width="50%" rowspan="8" valign="center" align="center"><img
    src="images/{../@id}.jpg"
    alt="{../@jmeno} {../@prijmeni}" /></td>
  </tr>
  <!-- Vypis osobnich udaju. Kazdy na samostatne radce -->
  <xsl:for-each select="*">
   <tr>
    <td>
     <b><xsl:value-of select="translate(name(),'_',' ')" />
     <xsl:text>: </xsl:text></b>
     <xsl:value-of select="." />
     <xsl:text> </xsl:text>
     <xsl:value-of select="@*" />
    </td>
   </tr>
  </xsl:for-each>
</xsl:template>


<!-- Rodine udaje -->
<xsl:template match="rodina">
  <tr><th colspan="2" class="high">Rodin stav: <xsl:value-of select="@stav" /></th></tr>
  <!-- Nejdriv testuje manzela/manzelku -->
  <xsl:apply-templates/>
  <!-- Potom testuje a vypisuje deti -->
  <xsl:if test="dt">
  <tr><td><b>dti:</b><ul>
  <xsl:for-each select="dt">
    <li>
     <xsl:value-of select="@jmeno" />
     <xsl:text> </xsl:text>
     <xsl:value-of select="@prijmeni" />
    </li>
  </xsl:for-each>
  </ul></td></tr>
  </xsl:if>
</xsl:template>


<xsl:template match="manel-ka">
 <tr>
  <td><b>manel(ka):</b>
   <xsl:value-of select="@jmeno" />
   <xsl:text> </xsl:text>
   <xsl:value-of select="@prijmeni" />
   <!-- Pokud je maznel, ci manzelka v adresari, udelame nan odkaz -->
   <xsl:if test="@id"> <i>(<a href="#{@id}">Vyhledat</a>)</i></xsl:if>
  </td>
 </tr>
</xsl:template>


<!-- Bydliste -->
<xsl:template match="bydliste">
 <tr><th colspan="2" class="high">Bydlit</th></tr>
 <!-- Do leve bunky adresu -->
 <tr>
  <td class="ods">
   <xsl:value-of select="ulice" /><br />
   <xsl:value-of select="ps" />
   <xsl:text>, </xsl:text>
   <xsl:value-of select="msto" /><br />
   <i>(okres <xsl:value-of select="okres" />)</i>
  </td>
  <!-- Do prave bunky prijde to ostatni: tel, fax, mail -->
  <td>
  <xsl:apply-templates />
  </td>
 </tr>
</xsl:template>


<!-- Zamestnani je velmi podobne -->
<xsl:template match="zamestnani">
 <tr><th colspan="2" class="high">Zamstnn</th></tr>
 <tr>
  <!-- Nejdriv nazev a funkce -->
  <td>
   <b><xsl:value-of select="nzev" /></b><br /><xsl:value-of select="funkce" />
  </td>
  <!-- Pak telefon, fax, mail -->
  <td rowspan="2">
   <xsl:apply-templates/>
  </td>
 </tr>
 <tr>
  <!-- Dolu pak adresu -->
  <td class="ods">
   <xsl:value-of select="ulice" /><br />
   <xsl:value-of select="ps" />
   <xsl:text>, </xsl:text>
   <xsl:value-of select="msto" />
   </td>
  </tr>
</xsl:template>


<!-- Samostatna sablona vybira tel. cislo a predvolbu -->
<xsl:template match="telefon | fax">
    <b><xsl:value-of select="name()" />:</b>
     <xsl:text> </xsl:text>
     (<xsl:value-of select="@uto" />)
     <xsl:text> </xsl:text>
     <xsl:value-of select="." /><br />
</xsl:template>


<!-- Samostatna sablona vybira e-amil -->
<xsl:template match="e-mail">
    <b>e-mail:</b>
    <a href="mailto:{.}"><xsl:value-of select="." /></a><br />
</xsl:template>


<xsl:template match="text()">
 <!-- Sablona pro vynechani std. textu -->
</xsl:template>

</xsl:stylesheet>